## NAME

g.search.modules - Search in GRASS modules using keywords

## KEYWORDS

general, modules, search

## SYNOPSIS

g.search.modules
g.search.modules --help
g.search.modules [-anmkcgj] keyword=string[,string,...] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-a
  Display only modules where all keywords are available (AND), default: OR
-n
  Invert selection (logical NOT)
-m
  Search in manual pages too (can be slow)
-k
  Search only for the exact keyword in module keyword list
  Instead of full text search, search only in actual keywords
-c
  Use colorized (more readable) output to terminal
-g
  Shell script format
-j
  JSON format
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

keyword=string[,string,...] [required]
  Keyword to be searched

## DESCRIPTION

g.search.module searches for given keyword in GRASS GIS modules name, description, keywords and optionally manpages, too. Also installed addons are considered in the search.

## NOTES

Multiple keywords may be specified, g.search.modules will search for all of them.

## EXAMPLE

Search all modules, where keywords buffer OR clip can be found:

    g.search.modules keyword=buffer,clip

    r.circle
        keywords: raster,buffer,geometry,circle
        description: Creates a raster map containing concentric rings around a
                     given point.

    r.buffer.lowmem
        keywords: raster,buffer
        description: Creates a raster map showing buffer zones surrounding cells
                     that contain non-NULL category values. This is the low-
                     memory alternative to the classic r.buffer module.

    r.buffer
        keywords: raster,buffer
        description: Creates a raster map showing buffer zones surrounding cells
                     that contain non-NULL category values.

Search all modules, where keywords overlay AND clip can be found with some fancy terminal output (not shown here):

    g.search.modules keyword=clip,overlay -a -c

    v.clip
        keywords: vector,clip,area
        description: Extracts features of input map which overlay features
                     of clip map.

    v.overlay
        keywords: vector,geometry,spatial
                  query,clip,difference,intersection,union
        description: Overlays two vector maps offering clip, intersection,
                     difference, symmetrical difference, union operators.

Search in manual pages as well:

    g.search.modules -m keyword=kapri

    db.execute
        keywords: database,attribute table,SQL
        description: Executes any SQL statement. For SELECT statements use
                     'db.select'.

    db.select
        keywords: database,attribute table,SQL
        description: Selects data from attribute table. Performs SQL query
                     statement(s).

## SEE ALSO

g.manual

## AUTHORS

Jachym Cepicky, OpenGeoLabs s.r.o., Czech Republic: original author
Anika Bettge, mundialis, Germany: addon search added

Last changed: $Date$

## SOURCE CODE

Available at: g.search.modules source code (history)

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual